{% extends 'modeladmin/create.html' %}


{% block extra_js %}
{{ block.super }}

<script>
        $(document).ready(function () {
                $('input[maxlength]:not([maxlength=""]),textarea[maxlength]:not([maxlength=""])').each(function (element) {
                        var that = this;
                        character_counter(that);
                        $(this).keyup(function (indx) {
                                character_counter(that);
                        });
                });
                function character_counter(element) {
                        var txt_span = $(element).nextAll('span')[0];
                        var max_len = $(element).attr('maxlength');
                        var total_character_count = $(element).val().length;
                        var warn_weight = max_len * 0.2;
                        var remaining = max_len - total_character_count
                        if (remaining < warn_weight) {
                                total_character_count = "<span style='color:#F00;'>" + total_character_count.toString() + "</span>";
                        } else {
                                total_character_count = total_character_count.toString()
                        }
                        $(txt_span).html("<small>" + total_character_count + " / " + max_len + "</small>")

                }
        });
</script>
{% endblock extra_js %}
